﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Interop;

namespace Silverlight4_ComInterop
{
    public partial class AquireImageFromDevice : UserControl
    {
        public AquireImageFromDevice()
        {
            InitializeComponent();
        }

        //http://msdn.microsoft.com/en-us/library/ms630492(VS.85).aspx
        private void btnAquireImage_Click(object sender, RoutedEventArgs e)
        {
            using (dynamic CommonDialog = ComAutomationFactory.CreateObject("WIA.CommonDialog"))
            {
                dynamic imageFile = CommonDialog.ShowAcquireImage();
                if (imageFile != null)
                {
                    string filePath = string.Format("D:\\{0}.png", Guid.NewGuid());
                    imageFile.SaveFile(filePath);
                    MessageBox.Show(string.Format("Saved {0}", filePath));
                }
            }
        }
    }
}
